package com.logicbig.example;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Time;
import java.sql.Timestamp;
import java.util.Calendar;
import java.util.Date;

@Entity
public class ExampleEntity {
    @Id
    private int id;

    private byte[] bytes;
    private Byte[] byteWrappers;

    private short[] shorts;
    private Short[] shortWrappers;

    private int[] ints;
    private Integer[] intWrappers;

    private char[] chars;
    private Character[] charWrappers;

    private long[] longs;
    private Long[] longWrappers;

    private float[] floats;
    private Float[] floatWrappers;

    private double[] doubles;
    private Double[] doubleWrappers;

    private BigInteger[] bigIntegers;
    private BigDecimal[] bigDecimals;

    private String[] strings;

    private Date[] dates;
    private Calendar[] calendars;
    private java.sql.Date[] sqlDates;
    private Time[] sqlTimes;
    private Timestamp[] sqlTimestamps;

    public Date[] getDates() {
        return dates;
    }

    public void setDates(Date[] dates) {
        this.dates = dates;
    }
}